<?xml version="1.0"?>
<doc>
    <assembly>
        "netstat"
    </assembly>
    <members>
        <member name="M:netstat.getstat_tcp">
            <summary>
起動中のTCPプロセス群の情報をえる 。これを実行した場合, 最終的には getstat_free でメモリを解放してください。
</summary>
        </member>
        <member name="M:netstat.getstat_udp">
            <summary>
起動中のUDPプロセス群の情報をえる。これを実行した場合, 最終的には getstat_free でメモリを解放してください。
</summary>
        </member>
        <member name="M:netstat.getnetPort_gx2(System.Char*)">
            <summary>
 起動中の指定TCPプロセスのうち, そのプロセス名から, TCP Port をえる
</summary>
        </member>
        <member name="M:netstat.getProcessId(System.Char*)">
            <summary>
 指定プロセス名からプロセスIDをえる。
</summary>
        </member>
        <member name="T:netstat">
            <summary>
netstat クラス
</summary>
        </member>
        <member name="F:statUDPROW.size">
            <summary>
取得した接続セッション数
</summary>
        </member>
        <member name="F:statUDPROW.PID">
            <summary>
PID
</summary>
        </member>
        <member name="F:statUDPROW.LocalPort">
            <summary>
ローカルIPポート
</summary>
        </member>
        <member name="F:statUDPROW.ProcessName">
            <summary>
プロセス名
</summary>
        </member>
        <member name="F:statUDPROW.LocalAddr">
            <summary>
ローカルIPアドレス(e.g. "192.168.11.1")
</summary>
        </member>
        <member name="T:statUDPROW">
            <summary>
ローカルIP・Port, PID,プロセス名(wchar_t)からなる構造体
</summary>
        </member>
        <member name="F:statTCPROW.size">
            <summary>
取得した接続セッション数
</summary>
        </member>
        <member name="F:statTCPROW.Statenum">
            <summary>
接続状態(数値. 内容は WinAPI TCP準拠)
</summary>
        </member>
        <member name="F:statTCPROW.PID">
            <summary>
PID
</summary>
        </member>
        <member name="F:statTCPROW.RemotePort">
            <summary>
リモートIPポート
</summary>
        </member>
        <member name="F:statTCPROW.LocalPort">
            <summary>
ローカルIPポート
</summary>
        </member>
        <member name="F:statTCPROW.Statestr">
            <summary>
接続状態(文字列. 内容は WinAPI TCP準拠)
</summary>
        </member>
        <member name="F:statTCPROW.ProcessName">
            <summary>
プロセス名
</summary>
        </member>
        <member name="F:statTCPROW.RemoteAddr">
            <summary>
リモートIPアドレス(e.g. "192.168.11.1")
</summary>
        </member>
        <member name="F:statTCPROW.LocalAddr">
            <summary>
ローカルIPアドレス(e.g. "192.168.11.1")
</summary>
        </member>
        <member name="T:statTCPROW">
            <summary>
ローカルおよびリモートIP・Port, PID,プロセス名(wchar_t)からなる構造体
</summary>
        </member>
        <member name="M:pow_(System.Double,System.Int32!System.Runtime.CompilerServices.IsLong)">
            <summary>
累乗をえる.
</summary>
            <param name="d">基数</param>
            <param name="n">指数</param>
            <returns />
        </member>
        <member name="M:getd_(System.UInt32)">
            <summary>
10進数 n から,  桁数をえる.
</summary>
            <param name="n">10進数 n </param>
            <returns>桁数</returns>
        </member>
        <member name="F:ProcessTable.size">
            <summary>
取得できたプロセス数
</summary>
        </member>
        <member name="F:ProcessTable.SessionId">
            <summary>
セッションID
</summary>
        </member>
        <member name="F:ProcessTable.ProcessId">
            <summary>
PID
</summary>
        </member>
        <member name="F:ProcessTable.ProcessName">
            <summary>
プロセス名
</summary>
        </member>
        <member name="F:IPAdd.address">
            <summary>
IPアドレス(e.g. 192.168.11.1)
</summary>
        </member>
        <member name="F:IPAdd.oct1">
            <summary>
IPアドレスの各オクターブ
</summary>
        </member>
        <member name="T:IPAdd">
            <summary>
IPアドレス文字列(char)および, その各オクターブ(int)からなる構造体
</summary>
        </member>
        <member name="M:mystrncmp(System.SByte!System.Runtime.CompilerServices.IsSignUnspecifiedByte!System.Runtime.CompilerServices.IsConst*,System.SByte!System.Runtime.CompilerServices.IsSignUnspecifiedByte!System.Runtime.CompilerServices.IsConst*,System.UInt64)">
            <summary>
文字列 s2 の内, n字分が, 文字列 s1 に含まれていれば 0を返し, そうでないならその他を返す.
</summary>
            <param name="s1">基準文字列 s1</param>
            <param name="s2">比較文字列 s2</param>
            <param name="n">比較文字数</param>
            <returns />
        </member>
        <member name="M:d2ch_(System.Int32)">
            <summary>
10進数 n の文字列化
</summary>
            <param name="n">10進数 n</param>
            <returns>文字列になった 10進数</returns>
        </member>
        <!-- メンバー 'M:netstat.getstat_free(statTCPROW*)' に対して形式が正しくない XML ドキュメント コメントを破棄します。-->
    </members>
</doc>